local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")
local cameraFocus = require("#Celeste.Mod.ExCameraDynamics.Code.Entities.CameraFocus")
local cameraZoomHooks = require("#Celeste.Mod.ExCameraDynamics.Code.Hooks.CameraZoomHooks")

function onBegin()

    disableMovement()
    disablePause ()

    --local level = getLevel()
    --coroutine.yield(exCameraHelper.Level_ZoomToFocus(level, vector2(4168, 4324), 1, 0.001))

    walkTo (4192, false, 0.6, false)
    wait(3)
    walkTo (4248, false, 0.6, false)
    jump(0.15)
    walkTo (4272, false, 0.6, false)

    wait(3)

    teleportTo(4552, 4400, "feel_10")

    enableMovement()
    endCutscene ()
	

end